# GLM: glm::core::type::vector Namespace Reference

# glm::core::type::vector Namespace Reference

Vector types from section 4.1.5 of GLSL 1.30.8 specification. More...

## Namespaces

namespace | precision

| Vector types with precision qualifier.

## Typedefs

typedef detail::tvec2< bool > | bvec2
| 2 components vector of boolean.
typedef detail::tvec3< bool > | bvec3
| 3 components vector of boolean.
typedef detail::tvec4< bool > | bvec4
| 4 components vector of boolean.
typedef detail::tvec2 < mediump_int > | ivec2
| 2 components vector of signed integer numbers.
typedef detail::tvec3 < mediump_int > | ivec3
| 3 components vector of signed integer numbers.
typedef detail::tvec4 < mediump_int > | ivec4
| 4 components vector of signed integer numbers.
typedef detail::tvec2 < mediump_uint > | uvec2
| 2 components vector of unsigned integer numbers.
typedef detail::tvec3 < mediump_uint > | uvec3
| 3 components vector of unsigned integer numbers.
typedef detail::tvec4 < mediump_uint > | uvec4
| 4 components vector of unsigned integer numbers.
typedef detail::tvec2 < mediump_float > | vec2
| 2 components vector of floating-point numbers.
typedef detail::tvec3 < mediump_float > | vec3
| 3 components vector of floating-point numbers.
typedef detail::tvec4 < mediump_float > | vec4
| 4 components vector of floating-point numbers.

## Detailed Description

Vector types from section 4.1.5 of GLSL 1.30.8 specification.

This namespace is included in glm namespace.

## Typedef Documentation

typedef detail::tvec2<bool> bvec2

2 components vector of boolean.

From GLSL 1.30.8 specification, section 4.1.5 Vectors.

Definition at line 200 of file type_vec2.hpp.

typedef detail::tvec3<bool> bvec3

3 components vector of boolean.

From GLSL 1.30.8 specification, section 4.1.5 Vectors.

Definition at line 199 of file type_vec3.hpp.

typedef detail::tvec4<bool> bvec4

4 components vector of boolean.

From GLSL 1.30.8 specification, section 4.1.5 Vectors.

Definition at line 215 of file type_vec4.hpp.

typedef detail::tvec2<mediump_int> ivec2

2 components vector of signed integer numbers.

From GLSL 1.30.8 specification, section 4.1.5 Vectors.

Definition at line 242 of file type_vec2.hpp.

typedef detail::tvec3<mediump_int> ivec3

3 components vector of signed integer numbers.

From GLSL 1.30.8 specification, section 4.1.5 Vectors.

Definition at line 241 of file type_vec3.hpp.

typedef detail::tvec4<mediump_int> ivec4

4 components vector of signed integer numbers.

From GLSL 1.30.8 specification, section 4.1.5 Vectors.

Definition at line 255 of file type_vec4.hpp.

typedef detail::tvec2<mediump_uint> uvec2

2 components vector of unsigned integer numbers.

From GLSL 1.30.8 specification, section 4.1.5 Vectors.

Definition at line 276 of file type_vec2.hpp.

typedef detail::tvec3<mediump_uint> uvec3

3 components vector of unsigned integer numbers.

From GLSL 1.30.8 specification, section 4.1.5 Vectors.

Definition at line 275 of file type_vec3.hpp.

typedef detail::tvec4<mediump_uint> uvec4

4 components vector of unsigned integer numbers.

From GLSL 1.30.8 specification, section 4.1.5 Vectors.

Definition at line 287 of file type_vec4.hpp.

typedef detail::tvec2<mediump_float> vec2

2 components vector of floating-point numbers.

From GLSL 1.30.8 specification, section 4.1.5 Vectors.

Definition at line 208 of file type_vec2.hpp.

typedef detail::tvec3<mediump_float> vec3

3 components vector of floating-point numbers.

From GLSL 1.30.8 specification, section 4.1.5 Vectors.

Definition at line 207 of file type_vec3.hpp.

typedef detail::tvec4<mediump_float> vec4

4 components vector of floating-point numbers.

From GLSL 1.30.8 specification, section 4.1.5 Vectors.

Definition at line 223 of file type_vec4.hpp.